<mat-form-field appearance="fill">
  <mat-label>Toppings</mat-label>
  <mat-select [formControl]="toppings" (selectionChange)="selectedValue($event)" multiple #targetToDisable [disabled]="var1">
    <mat-select-trigger>
      {{toppings.value?.[0] || ''}}
      <span *ngIf="(toppings.value?.length || 0) > 1" class="example-additional-selection">
        (+{{(toppings.value?.length || 0) - 1}} {{toppings.value?.length === 2 ? 'other' : 'others'}})
      </span>
    </mat-select-trigger>
    <mat-option *ngFor="let topping of toppingList" [value]="topping">{{topping}}</mat-option>
  </mat-select>
</mat-form-field>

<button (click)="reset()">Reset</button>

<router-outlet></router-outlet>
